summaryrefslogtreecommitdiffstats
path: root/source/xfce/exo
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/exo')
-rwxr-xr-xsource/xfce/exo/exo.SlackBuild26
-rw-r--r--source/xfce/exo/exo.url2
-rw-r--r--source/xfce/exo/slack-desc10
3 files changed, 24 insertions, 14 deletions
diff --git a/source/xfce/exo/exo.SlackBuild b/source/xfce/exo/exo.SlackBuild
index ee299a2e3..1a469caa4 100755
--- a/source/xfce/exo/exo.SlackBuild
+++ b/source/xfce/exo/exo.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2012, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=exo
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -36,6 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
if [ "$ARCH" = "i586" ]; then
@@ -52,7 +62,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -61,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
find . -exec touch {} \;
@@ -73,8 +82,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-patch -p1 < $CWD/0001-Do-not-use-x-scheme-handler-file-mimetype-bug-7257.patch
-
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -91,6 +98,9 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
# Strip binaries:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/xfce/exo/exo.url b/source/xfce/exo/exo.url
index 9a66d2ebd..f18c85b1b 100644
--- a/source/xfce/exo/exo.url
+++ b/source/xfce/exo/exo.url
@@ -1 +1 @@
-http://archive.xfce.org:/src/xfce/exo/0.10/
+http://archive.xfce.org:/src/xfce/exo/0.12/exo-0.12.0.tar.bz2
diff --git a/source/xfce/exo/slack-desc b/source/xfce/exo/slack-desc
index 6bd9c8269..285151f56 100644
--- a/source/xfce/exo/slack-desc
+++ b/source/xfce/exo/slack-desc
@@ -1,17 +1,17 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
exo: exo (libexo extension library)
exo:
exo: This is libexo, an extension library to Xfce, developed by
-exo: os-cillation. While Xfce comes with quite a few libraries that are
+exo: os-cillation. While Xfce comes with quite a few libraries that are
exo: targeted at desktop development, libexo is targeted at application
-exo: development. It also has some helper applications that are used
+exo: development. It also has some helper applications that are used
exo: throughout the entire desktop.
exo:
exo: